Bug 65749 - (NTFS) NTFS now cosidered acceptable and can should be enabled in Fedora's kernel
NTFS now cosidered acceptable and can should be enabled in Fedora's kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
: FutureFeature, Reopened
: 61768 70571 73793 77143 84119 135741 147318 154754 156253 157772 165632 166165 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 01:42 EDT by Dan Hollis
Modified: 2015-01-28 11:27 EST (History)
29 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 14:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2002-05-31 01:42:49 EDT
Description of Problem:
there is no ntfs module included with rh7.3, very annoying

Version-Release number of selected component (if applicable):


How Reproducible:
always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
is it still redhat's position that ntfs-readonly is broken as of kernel
2.4.18-3?
Comment 1 matteo porta 2002-06-05 10:03:17 EDT
so dear redhat do you plan to hear your customers or not?
do you want we all switch to another distribution? fix this!
Comment 2 Jonathan Hodges 2002-08-16 14:35:26 EDT
I agree that ntfs-readonly support should be included by default at least as a 
module in redhat installations.  I know that myself and a couple of my 
associates would find this extremely useful.  NTFS support will become a larger 
necessity as more people are using Windows XP, which by default uses NTFS.  I 
am sure many users would find built-in NTFS support extremely helpful.
Comment 3 Arjan van de Ven 2002-08-16 14:38:00 EDT
oh believe me I would LOVE to enable ntfs... but it must be legally possible /
sensible to do so ;(
Comment 4 Dan Hollis 2002-08-16 14:44:39 EDT
has redhat evaluated readonly-ntfs as of kernel 2.4.19? does it still cause data
corruption as claimed?
Comment 5 Arjan van de Ven 2002-08-16 14:46:22 EDT
as far as I know it does no longer corrupt data read only
Comment 6 Jonathan Hodges 2002-08-16 16:17:59 EDT
So, from what I gather, it is not legally possible to include NTFS support in 
the default kernel provided with redhat?  I was just wondering since it is 
included in the kernel source.

I have been enabling it by compiling the kernel myself, but I was just 
wondering why redhat didn't provide it since other distributions (mandrake) do 
and I know of may people who find it useful.  If there is a legal problem, then 
I understand.
Comment 7 Jonathan Hodges 2002-08-19 14:22:32 EDT
Check out this page for a nice HOWTO to enable ntfs in redhat linux:

http://www.getlinuxonline.com/omp/distro/RedHat/ompntfs2.html
Comment 8 Warren Togami 2002-08-21 17:27:55 EDT
Arjan, what is the status of this request?  If NTFS read-only is indeed safe, it
would be very nice if we could have this by default.
Comment 9 Dan Hollis 2002-08-21 17:46:14 EDT
arjan please elaborate on the specific legal objections redhat has to including
readonly-ntfs?
Comment 10 Warren Togami 2002-10-18 03:46:58 EDT
Please check with lawyers about this.  Inclusion of ntfs.o read-only would be
very useful in a future release.
Comment 11 Michael K. Johnson 2003-02-19 10:21:37 EST
*** Bug 61768 has been marked as a duplicate of this bug. ***
Comment 12 Michael K. Johnson 2003-02-19 10:22:07 EST
*** Bug 70571 has been marked as a duplicate of this bug. ***
Comment 13 Michael K. Johnson 2003-02-19 10:23:19 EST
*** Bug 77143 has been marked as a duplicate of this bug. ***
Comment 14 Michael K. Johnson 2003-02-19 10:24:27 EST
*** Bug 73793 has been marked as a duplicate of this bug. ***
Comment 15 Michael K. Johnson 2003-02-19 10:24:50 EST
*** Bug 84119 has been marked as a duplicate of this bug. ***
Comment 16 Chris Adams 2003-04-26 09:57:36 EDT
RHL9 includes rdekstop, which was built with reverse engineering of a MS
protocol; how is NTFS different?
Comment 17 Dan Hollis 2003-06-11 06:18:01 EDT
redhat bundles samba which was also reverse engineered. omitting ntfs but
bundling samba+rdesktop seems odd.

can someone from redhat please state the exact legal objection redhat has to
ntfs, or give the exact contact information for the legal counsel at redhat that
is responsible for this conclusion? we are approaching 1 year since the question
was posed to redhat, and there is still no answer.

further: mandrake, gentoo, suse, lycoris all bundle read-only ntfs...
Comment 18 Bugzilla owner 2004-09-30 11:39:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 19 Dave Jones 2004-12-02 00:42:59 EST
*** Bug 135741 has been marked as a duplicate of this bug. ***
Comment 20 Tom "spot" Callaway 2004-12-02 09:43:02 EST
Reopening against Fedora Core 3, since closing this RFE as a "product
doesn't exist" is a huge copout.
Comment 21 Nigel Horne 2004-12-21 05:08:50 EST
The HOWTO mentioned doesn't exist. I get a 404 error on

http://www.getlinuxonline.com/omp/distro/RedHat/ompntfs2.html
Comment 22 Nigel Horne 2004-12-21 05:30:08 EST
You can get everything you want from

http://linux-ntfs.sourceforge.net/rpm/fedora3.html

That includes full RW access to NTFS partitions (for the brave) or RO
access for mortals.
Comment 23 Dave Jones 2005-02-08 01:43:32 EST
*** Bug 147318 has been marked as a duplicate of this bug. ***
Comment 24 Greg DeKoenigsberg 2005-03-11 17:13:56 EST
After discussion with counsel, we deem the inclusion of NTFS in the Fedora project to be 
too risky.  Patent encumbrance.
Comment 25 Dave Jones 2005-04-13 19:08:27 EDT
*** Bug 154754 has been marked as a duplicate of this bug. ***
Comment 26 Warren Togami 2005-04-28 11:13:57 EDT
*** Bug 156253 has been marked as a duplicate of this bug. ***
Comment 27 Warren Togami 2005-05-15 01:56:59 EDT
*** Bug 157772 has been marked as a duplicate of this bug. ***
Comment 28 Dave Jones 2005-08-11 02:16:01 EDT
*** Bug 165632 has been marked as a duplicate of this bug. ***
Comment 29 Dave Jones 2005-08-17 14:47:32 EDT
*** Bug 166165 has been marked as a duplicate of this bug. ***
Comment 30 Dawid Gajownik 2006-10-21 18:18:15 EDT
It seams that NTFS is no more in ForbiddenItems list →
http://fedoraproject.org/wiki/ForbiddenItems?action=diff&rev2=89&rev1=88

Other ntfs related packages are allowed to be in Extras repo:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210840
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=211698

Can you enable now ntfs module, please? ntfs-3g is sometimes not an option (iso
images on ntfs partition and you want to perform installation from disk drive).
Comment 31 Szabolcs Szakacsits 2006-10-22 18:00:36 EDT
ntfs-3g supports loop mounts (mounting iso image on ntfs partition), moreover
you can also statically link it with dietlibc or uClibc and put into an initrd.
You can even use NTFS as your root filesystem (only in "single user" mode at
present). These are continuously tested and in use by several distros already.
Comment 32 Matthew Miller 2006-10-22 19:37:56 EDT
(Moving this from FC3.)
Comment 33 Thorsten Leemhuis 2006-10-31 06:04:12 EST
Changing summary from "NTFS cannot be enabled in Fedora" to "NTFS now cosidered
acceptable and can should be enabled in Fedora's kernel" due to #30

Re-assigning to kernel-maint@redhat.com

I'd like to see the ntfs driver enabled in the kernel-package now, too. I talked
to one ntfs driver developer and he said:

>If you want to loop-mount a file on NTFS, the kernel driver would be a
>better choice.
>Examples are putting using a swap file on "C:" (only the latest
>ntfs-3g support it, and it may dead-lock, although Szaka won't admit
>it). Another example that is not relevant for Fedora is saving the
>user settings of a live-cd.
>
>There is no doubt that the kernel driver is more stable. It only had
>bug fixes for some time. ntfs-3g is still under development. The
>kernel driver is also faster.

If the kernel-developers in Fedora don't want to enable it I'll propose a kmod
for Extras that contains the driver. This will look stupid, but it's known as
"forcing the issue" (quoting spot from the ntfs driver submission for Extras)
Comment 34 Szabolcs Szakacsits 2006-10-31 12:01:16 EST
Swap on loopback on top of NTFS may deadlock. This is exactly the reason why
direct swap file support on NTFS was implemented recently (i.e. no need for
loopback to swap).

The read functionality of the kernel is stable, the limited write may have
serious problems, for example when truncating runlists. The two drivers share
quite many code, except ntfs-3g kept fixing bugs, added new features, and is
kept being extensively quality tested: http://www.ntfs-3g.org/quality.html 
I'm not aware of any stability problem.

In my tests on different hardwares, the kernel driver is usually 20-40% faster
because ntfs-3g is not optimized yet.

In my opinion, the best would be, if the kernel driver were available too, so
anybody could decide himself which driver to trust and use.
Comment 35 Gianluca Sforna 2006-12-02 19:02:19 EST
(In reply to comment #34)
> 
> In my opinion, the best would be, if the kernel driver were available too, so
> anybody could decide himself which driver to trust and use.
> 

IMHO the very best would be if the 3G stuff would merge back into the kernel
driver, so everyone would have full r/w support at full speed...
Comment 36 Thorsten Leemhuis 2006-12-03 06:35:03 EST
(In reply to comment #35)
> IMHO the very best would be if the 3G stuff would merge back into the kernel
> driver, so everyone would have full r/w support at full speed...

Something like that is the long term plan of the upstream developers afaik, but
it will take some time to get done.
Comment 37 Szabolcs Szakacsits 2006-12-03 09:49:12 EST
> Something like that is the long term plan of the upstream developers
> afaik, but it will take some time to get done.

At present there are three developers and they are working on their own
solution.

1. Anton Almaparmakov works closed source and plans the release a kernel
driver not earlier than spring of 2008.

2. Yura Pakhuchiy works on ntfsmount, merging some of the ntfs-3g code and
as he said "I implement things just for fun, no because anybody beside me
wants them".

3. Szabolcs Szakacsits implemented recently full write support (he works on
Linux NTFS support for almost 5 years), and being unsatisfied with the
nature, quality and progress of the other two approaches, he established
recently the NTFS-3G project and doesn't plan to port it to the kernel
because of http://www.ntfs-3g.org/support.html#kernel

Running a lot of complex code unpriviledged in user space with close to
native kernel speed has some advantages. For example the recent NTFS kernel
driver denial of service exploit at
http://projects.info-pull.com/mokb/MOKB-19-11-2006.html doesn't work with
ntfs-3g at all, and given that it worked, then it would have been a less
serious, unpriviledged security compromise.
Comment 38 Valent Turkovic 2007-05-28 11:58:52 EDT
Fedora 7 test 4 still doens't have any ntfs support by default! And any ntfs
partitions go unrecognised during anaconda install process!

This is very sad when all other major linux distros have ntfs support resolved
long time ago...
Comment 39 Julian Sikorski 2007-05-28 12:44:42 EDT
I believe ntfs-3g is available in default repos (Extras for fc =< 6).
Comment 40 Valent Turkovic 2007-05-28 15:17:28 EDT
If it is not on by default then it doesn't even count.

What are you going to tell to your neighbor when she/he downloads this great
thing called Fedora 7 that she/he heard about and when on installation it
doesn't show data from his old system (ntfs)?

Are you going to say to she/he: "I believe ntfs-3g is available in default repos
(Extras for fc =< 6)." ?!?

How many ms will she/hr think after you say that to her/him and convert Fedora
CD/DVD to something much useful - like coaster :)

Nope, until anaconda doesn't detect and support ntfs partitions by default this
is a major issue Fedora has!

Please look at Linux Mint and how they dealt with ntfs. It works automatically!
And this is what most users need/want.
Comment 41 Valent Turkovic 2008-01-24 09:21:33 EST
I asked for anaconda RFE so it mirrors ntfs support in fedora:
https://bugzilla.redhat.com/show_bug.cgi?id=430087
Comment 42 petrosyan 2008-02-03 12:57:19 EST
ntfs-3g gets installed by default both in Fedora 8 and Fedora development. Look into
http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/repodata/comps.xml
http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Fedora/i386/os/repodata/Fedora-8-comps.xml
In both cases ntfs-3g is enabled by default in "Base" group.

Clicking on "Computer" in my GNOME desktop shows Windows Vista ntfs partitions. 

Can you reproduce this bug in a default installation of Fedora 8?
Comment 43 Valent Turkovic 2008-02-08 03:04:06 EST
It works ok in both Fedora 8 and Rawhide.
Comment 44 olinart 2015-01-24 13:35:01 EST
Seems to be a bug in the current update of Fed20. when I install it I get a nonsense message that the update conflicts with itself, so it continues to attempt the update whenever I log on.

Test Transaction Errors:   file /usr/bin/ntfs-3g conflicts between attempted installs of ntfs-3g-2:2014.2.15-8.el6.x86_64 and ntfs-3g-2:2014.2.15-8.el6.x86_64
  file /usr/bin/ntfsmount conflicts between attempted installs of ntfs-3g-2:2014.2.15-8.el6.x86_64 and ntfs-3g-2:2014.2.15-8.el6.x86_64
Comment 45 Tom "spot" Callaway 2015-01-28 11:27:20 EST
(In reply to olinart from comment #44)
> Seems to be a bug in the current update of Fed20. when I install it I get a
> nonsense message that the update conflicts with itself, so it continues to
> attempt the update whenever I log on.
> 
> Test Transaction Errors:   file /usr/bin/ntfs-3g conflicts between attempted
> installs of ntfs-3g-2:2014.2.15-8.el6.x86_64 and
> ntfs-3g-2:2014.2.15-8.el6.x86_64
>   file /usr/bin/ntfsmount conflicts between attempted installs of
> ntfs-3g-2:2014.2.15-8.el6.x86_64 and ntfs-3g-2:2014.2.15-8.el6.x86_64

Man, I don't want to know why you're trying to install packages built for RHEL/Centos 6 (.el6) on Fedora 20, but I'm a little bit glad yum isn't letting you do that. I think you're doing something very wrong here, and you should take a very hard look at how you have that Fedora 20 system configured.

Note You need to log in before you can comment on or make changes to this bug.